commit:     b2e719463f17c3707893696d51d8d4d3d9e08e96
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 28 14:35:26 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Nov 28 14:46:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2e71946

dev-libs/icu-layoutex: Bump to version 60.1

Package-Manager: Portage-2.3.16, Repoman-2.3.6

 dev-libs/icu-layoutex/Manifest                 |   1 +
 dev-libs/icu-layoutex/icu-layoutex-60.1.ebuild | 115 +++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/dev-libs/icu-layoutex/Manifest b/dev-libs/icu-layoutex/Manifest
index f91afe2ae94..25e55a75ffb 100644
--- a/dev-libs/icu-layoutex/Manifest
+++ b/dev-libs/icu-layoutex/Manifest
@@ -1,3 +1,4 @@
 DIST icu4c-58_1-src.tgz 23366443 SHA256 
0eb46ba3746a9c2092c8ad347a29b1a1b4941144772d13a88667a7b11ea30309 SHA512 
59b2a76834192a35125fda326587e613ef4486152cf0278c6f22568d4ae02c4b2d897efcea2654ef2b11bd1c3154aecd38cb68a70f69430736f343689f94c155
 WHIRLPOOL 
faf2624a83f0d6f874166b328522dc9c89088db2690433ab05e96371722b635b81fd5210c7e87fe8e5df6681e881cf10204832925b448552affe8c2f6c851e37
 DIST icu4c-58_2-src.tgz 23369902 SHA256 
2b0a4410153a9b20de0e20c7d8b66049a72aef244b53683d0d7521371683da0c SHA512 
5c21af748f48b392e6c0412bd0aee92162ea931820dcbfab4ec6e0299868504b303d88f7586cc95de55c777ac0dca3a29d6c8ca0892c646ebc864c8a5b5a162a
 WHIRLPOOL 
25829f8ee870b703fd604ae5b9b584390a142f5011e2a5db18332453e2f1640d81270086f243318eeb93f187b04ea23dab14901ab81c8d924c8d47b1f77aee5a
 DIST icu4c-59_1-src.tgz 22706578 SHA256 
7132fdaf9379429d004005217f10e00b7d2319d0fea22bdfddef8991c45b75fe SHA512 
9348aa68d72a74cd1f26588c30c80eee1b48800a26930d7eb0749390fd65f7930ee8843058b6a6dd5f265e79054fef661e807ded16a1ad691cbc5ebc5ab944c4
 WHIRLPOOL 
f213951e98b7e1b59a3caf193f671fd9dff9a77c49aa3c4c118d6e3414688830ffb029d5c01495b369d4e666ab38669340a4c24a26f93742a99145972e20ede0
+DIST icu4c-60_1-src.tgz 23296064 BLAKE2B 
4f90c1f4f00b686d2632429fbaa6a6ec3d977e414f8d00cf82a525a1504c9d8c9b1a19458b495e5847abbcfff933038752f96d6bd165d206582f8ec1b77fff40
 SHA512 
a6798f70add1b3bac2197a49e09a0bb636279af7019ce572f63a30ab713e09657ee9d9b20aac7ea806fbb84667ca2eca981411e5053b47c3c705aa496a669233

diff --git a/dev-libs/icu-layoutex/icu-layoutex-60.1.ebuild 
b/dev-libs/icu-layoutex/icu-layoutex-60.1.ebuild
new file mode 100644
index 00000000000..cb059aee76f
--- /dev/null
+++ b/dev-libs/icu-layoutex/icu-layoutex-60.1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils flag-o-matic toolchain-funcs autotools multilib-minimal
+
+DESCRIPTION="External layout part of International Components for Unicode"
+HOMEPAGE="http://www.icu-project.org/";
+SRC_URI="http://download.icu-project.org/files/icu4c/${PV/_/}/icu4c-${PV//./_}-src.tgz";
+
+LICENSE="BSD"
+
+SLOT="0/${PV}"
+
+KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="debug static-libs"
+
+RDEPEND="
+       ~dev-libs/icu-${PV}[${MULTILIB_USEDEP}]
+       dev-libs/icu-le-hb[${MULTILIB_USEDEP}]
+"
+
+DEPEND="
+       virtual/pkgconfig[${MULTILIB_USEDEP}]
+       ${RDEPEND}
+"
+
+S="${WORKDIR}/${PN/-layoutex}/source"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-58.1-remove-bashisms.patch"
+)
+
+src_prepare() {
+       # apply patches
+       default
+
+       local variable
+
+       # Disable renaming as it is stupid thing to do
+       sed -i \
+               -e "s/#define U_DISABLE_RENAMING 0/#define U_DISABLE_RENAMING 
1/" \
+               common/unicode/uconfig.h || die
+
+       # Fix linking of icudata
+       sed -i \
+               -e "s:LDFLAGSICUDT=-nodefaultlibs -nostdlib:LDFLAGSICUDT=:" \
+               config/mh-linux || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # Use C++14
+       append-cxxflags -std=c++14
+
+       if tc-is-cross-compiler; then
+               mkdir "${WORKDIR}"/host || die
+               pushd "${WORKDIR}"/host >/dev/null || die
+
+               CFLAGS="" CXXFLAGS="" ASFLAGS="" LDFLAGS="" \
+               CC="$(tc-getBUILD_CC)" CXX="$(tc-getBUILD_CXX)" 
AR="$(tc-getBUILD_AR)" \
+               RANLIB="$(tc-getBUILD_RANLIB)" LD="$(tc-getBUILD_LD)" \
+               "${S}"/configure --disable-renaming --disable-debug \
+                       --disable-samples --enable-static || die
+               emake
+
+               popd >/dev/null || die
+       fi
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-renaming
+               --disable-samples
+               --enable-layoutex
+               $(use_enable debug)
+               $(use_enable static-libs static)
+       )
+
+       tc-is-cross-compiler && myeconfargs+=(
+               --with-cross-build="${WORKDIR}"/host
+       )
+
+       # icu tries to use clang by default
+       tc-export CC CXX
+
+       ECONF_SOURCE=${S} \
+       econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       # INTLTEST_OPTS: intltest options
+       #   -e: Exhaustive testing
+       #   -l: Reporting of memory leaks
+       #   -v: Increased verbosity
+       # IOTEST_OPTS: iotest options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       # CINTLTST_OPTS: cintltst options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       pushd layoutex &>/dev/null || die
+       emake -j1 VERBOSE="1" check
+       popd &>/dev/null || die
+}
+
+multilib_src_install() {
+       pushd layoutex &>/dev/null || die
+       default
+       popd &>/dev/null || die
+}

Reply via email to